
<form #f=ngForm (ngSubmit)="createDog(f)">

  <label for="name">Name</label>
  <input class="form-control" type="text" name="name" id="name" ngModel>

   <label for="color">Color</label>
  <input class="form-control" type="text" name="color" id="color" ngModel>

  <div class="form-check form-check-inline">
   <label class="form-check-label" >Gender
  <input class="form-check-input" type="radio" name="gender" value="female" ngModel>
  <input class="form-check-input" type="radio" name="gender" value="male" ngModel>
   </label>
  </div>
  <br>
   <label for="age">Age</label>
  <input class="form-control" type="number" name="age" id="age" ngModel="">

<button type="submit" class="btn btn-primary" value="create Dog" name="createDog">Create Dog</button>
</form>
